## postgresql-plproxy 2.0.2

=== Makefile ===

# PL/Proxy version
PLPROXY_VERSION = 2.0.2

# libpq config
PQINC = $(shell pg_config --includedir)
PQLIB = $(shell pg_config --libdir)

# module setup
MODULE_big = plproxy
SRCS = src/cluster.c src/execute.c src/function.c src/main.c \
       src/query.c src/result.c src/type.c
OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
DATA_built = plproxy.sql
EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch]
PG_CPPFLAGS = -I$(PQINC)
SHLIB_LINK = -L$(PQLIB) -lpq

DIST_FILES = Makefile src/plproxy.h src/rowstamp.h src/scanner.l src/parser.y \
	     sql/*.sql expected/*.out config/*.sql doc/*.txt doc/Makefile \
	     AUTHORS COPYRIGHT README plproxy.sql.in NEWS
DIST_DIRS = src sql expected config doc
TARNAME = plproxy-$(PLPROXY_VERSION)

# regression testing setup
REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
	  plproxy_errors plproxy_clustermap
REGRESS_OPTS = --load-language=plpgsql

# load PGXS makefile
PGXS = $(shell pg_config --pgxs)
include $(PGXS)

# parser rules
src/scanner.o: src/scanner.h src/parser.tab.h
src/parser.tab.o: src/scanner.h src/parser.tab.h
src/parser.tab.c: src/parser.tab.h

src/parser.tab.h: src/parser.y
	cd src; bison -d parser.y

src/scanner.h: src/scanner.c
src/scanner.c: src/scanner.l
	cd src; flex -o scanner.c scanner.l

# dependencies
$(OBJS): src/plproxy.h src/rowstamp.h

# utility rules

tags:
	cscope -I src -b -f .cscope.out src/*.c

tgz:
	rm -rf $(TARNAME)
	mkdir -p $(TARNAME)
	tar c $(DIST_FILES) $(SRCS) | tar x -C $(TARNAME)
	tar czf $(TARNAME).tar.gz $(TARNAME)

clean: tgzclean

tgzclean:
	rm -rf $(TARNAME) $(TARNAME).tar.gz

test: install
	make installcheck || { cat regression.diffs; exit 1; }

deb:
	(stamp=`date -R 2>/dev/null` || stamp=`gdate -R`; \
		echo "plproxy2 ($(PLPROXY_VERSION)) unstable; urgency=low"; \
		echo ""; echo "  * New build"; echo ""; \
		echo " -- BuildDaemon <dev@null>  $$stamp") > debian/changelog
	yada rebuild
	debuild -uc -us -b

mainteiner-clean: clean
	rm -f src/scanner.[ch] src/parser.tab.[ch]

=== doc/Makefile ===

wiki = https://developer.skype.com/SkypeGarage/DbProjects/PlProxy

web = mkz@shell.pgfoundry.org:/home/pgfoundry.org/groups/plproxy/htdocs/

all:

upload:
	devupload.sh overview.txt $(wiki)
	devupload.sh config.txt $(wiki)/ClusterConfig
	devupload.sh syntax.txt $(wiki)/LanguageSyntax

clean:
	rm -rf api

## postgresql-plproxy 2.0.4

=== Makefile ===

# PL/Proxy version
PLPROXY_VERSION = 2.0.4

# libpq config
PQINC = $(shell pg_config --includedir)
PQLIB = $(shell pg_config --libdir)

FLEX = flex
BISON = bison 

# module setup
MODULE_big = plproxy
SRCS = src/cluster.c src/execute.c src/function.c src/main.c \
       src/query.c src/result.c src/type.c src/poll_compat.c
OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
DATA_built = plproxy.sql
EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch]
PG_CPPFLAGS = -I$(PQINC)
SHLIB_LINK = -L$(PQLIB) -lpq

TARNAME = plproxy-$(PLPROXY_VERSION)
DIST_DIRS = src sql expected config doc debian
DIST_FILES = Makefile src/plproxy.h src/rowstamp.h src/scanner.l src/parser.y \
			 $(foreach t,$(REGRESS),sql/$(t).sql expected/$(t).out) \
			 config/simple.config.sql src/poll_compat.h \
			 doc/Makefile doc/config.txt doc/overview.txt \
			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
			 AUTHORS COPYRIGHT README plproxy.sql.in NEWS \
			 debian/packages debian/changelog

# regression testing setup
REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
	  plproxy_errors plproxy_clustermap
REGRESS_OPTS = --load-language=plpgsql

# load PGXS makefile
PGXS = $(shell pg_config --pgxs)
include $(PGXS)

# parser rules
src/scanner.o: src/parser.tab.h
src/parser.tab.h: src/parser.tab.c

src/parser.tab.c: src/parser.y
	cd src; $(BISON) -d parser.y

src/scanner.c: src/scanner.l
	cd src; $(FLEX) -oscanner.c scanner.l

# dependencies
$(OBJS): src/plproxy.h src/rowstamp.h
src/execute.o: src/poll_compat.h
src/poll_compat.o: src/poll_compat.h

# utility rules

tags:
	cscope -I src -b -f .cscope.out src/*.c

tgz:
	rm -rf $(TARNAME)
	mkdir -p $(TARNAME)
	tar c $(DIST_FILES) $(SRCS) | tar x -C $(TARNAME)
	tar czf $(TARNAME).tar.gz $(TARNAME)

clean: tgzclean

tgzclean:
	rm -rf $(TARNAME) $(TARNAME).tar.gz

test: install
	make installcheck || { less regression.diffs; exit 1; }

ack:
	cp results/*.out expected/

deb:
	yada rebuild
	debuild -uc -us -b

mainteiner-clean: clean
	rm -f src/scanner.[ch] src/parser.tab.[ch]

## postgresql-plproxy 2.0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.0.4
+PLPROXY_VERSION = 2.0.5
 
 # libpq config
 PQINC = $(shell pg_config --includedir)

=== doc/Makefile ===

wiki = https://developer.skype.com/SkypeGarage/DbProjects/PlProxy

web = mkz@shell.pgfoundry.org:/home/pgfoundry.org/groups/plproxy/htdocs/

ASCIIDOC = asciidoc

HTML = config.html syntax.html todo.html tutorial.html

all:

html: $(HTML)

upload:
	devupload.sh overview.txt $(wiki)
	#devupload.sh config.txt $(wiki)/ClusterConfig
	#devupload.sh syntax.txt $(wiki)/LanguageSyntax
	#devupload.sh todo.txt $(wiki)/ToDo

clean:
	rm -rf api

web: $(HTML)
	rsync -avz $(HTML) $(web)/doc/

%.html: %.txt
	$(ASCIIDOC) -a toc $<

## postgresql-plproxy 2.0.8

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,10 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.0.5
+PLPROXY_VERSION = 2.0.8
 
 # libpq config
 PQINC = $(shell pg_config --includedir)
 PQLIB = $(shell pg_config --libdir)
-
-FLEX = flex
-BISON = bison 
 
 # module setup
 MODULE_big = plproxy
@@ -24,19 +21,28 @@
 DIST_FILES = Makefile src/plproxy.h src/rowstamp.h src/scanner.l src/parser.y \
 			 $(foreach t,$(REGRESS),sql/$(t).sql expected/$(t).out) \
 			 config/simple.config.sql src/poll_compat.h \
-			 doc/Makefile doc/config.txt doc/overview.txt \
+			 doc/Makefile doc/config.txt doc/overview.txt doc/faq.txt \
 			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
 			 AUTHORS COPYRIGHT README plproxy.sql.in NEWS \
 			 debian/packages debian/changelog
 
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
-	  plproxy_errors plproxy_clustermap
+	  plproxy_errors plproxy_clustermap plproxy_dynamic_record \
+	  plproxy_encoding
 REGRESS_OPTS = --load-language=plpgsql
 
 # load PGXS makefile
 PGXS = $(shell pg_config --pgxs)
 include $(PGXS)
+
+ifeq ($(PORTNAME), win32)
+SHLIB_LINK += -lws2_32 -lpgport
+endif
+
+# PGXS may define them as empty
+FLEX := $(or $(FLEX), flex)
+BISON := $(or $(BISON), bison)
 
 # parser rules
 src/scanner.o: src/parser.tab.h
@@ -61,7 +67,7 @@
 tgz:
 	rm -rf $(TARNAME)
 	mkdir -p $(TARNAME)
-	tar c $(DIST_FILES) $(SRCS) | tar x -C $(TARNAME)
+	tar c $(DIST_FILES) $(SRCS) | tar xp -C $(TARNAME)
 	tar czf $(TARNAME).tar.gz $(TARNAME)
 
 clean: tgzclean

## postgresql-plproxy 2.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,15 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.0.8
+PLPROXY_VERSION = 2.1
 
 # libpq config
-PQINC = $(shell pg_config --includedir)
-PQLIB = $(shell pg_config --libdir)
+PG_CONFIG = pg_config
+PQINC = $(shell $(PG_CONFIG) --includedir)
+PQLIB = $(shell $(PG_CONFIG) --libdir)
+
+# PostgreSQL version
+PGVER = $(shell $(PG_CONFIG) --version | sed 's/PostgreSQL //')
+SQLMED = $(shell test $(PGVER) "<" "8.4" && echo "false" || echo "true")
 
 # module setup
 MODULE_big = plproxy
@@ -12,7 +17,7 @@
        src/query.c src/result.c src/type.c src/poll_compat.c
 OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
 DATA_built = plproxy.sql
-EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch]
+EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] plproxy.sql.in
 PG_CPPFLAGS = -I$(PQINC)
 SHLIB_LINK = -L$(PQLIB) -lpq
 
@@ -23,17 +28,27 @@
 			 config/simple.config.sql src/poll_compat.h \
 			 doc/Makefile doc/config.txt doc/overview.txt doc/faq.txt \
 			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
-			 AUTHORS COPYRIGHT README plproxy.sql.in NEWS \
-			 debian/packages debian/changelog
+			 AUTHORS COPYRIGHT README plproxy_lang.sql plproxy_fdw.sql NEWS \
+			 debian/packages.in debian/changelog
 
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
 	  plproxy_errors plproxy_clustermap plproxy_dynamic_record \
-	  plproxy_encoding
-REGRESS_OPTS = --load-language=plpgsql
+	  plproxy_encoding plproxy_split
+
+# SQL files
+PLPROXY_SQL = plproxy_lang.sql
+
+# SQL/MED available, add foreign data wrapper and regression tests
+ifeq ($(SQLMED), true)
+REGRESS += plproxy_sqlmed
+PLPROXY_SQL += plproxy_fdw.sql
+endif
+
+REGRESS_OPTS = --dbname=regression
 
 # load PGXS makefile
-PGXS = $(shell pg_config --pgxs)
+PGXS = $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
 ifeq ($(PORTNAME), win32)
@@ -53,6 +68,9 @@
 
 src/scanner.c: src/scanner.l
 	cd src; $(FLEX) -oscanner.c scanner.l
+
+plproxy.sql.in: $(PLPROXY_SQL)
+	cat $^ > $@
 
 # dependencies
 $(OBJS): src/plproxy.h src/rowstamp.h
@@ -81,10 +99,26 @@
 ack:
 	cp results/*.out expected/
 
-deb:
+mainteiner-clean: clean
+	rm -f src/scanner.[ch] src/parser.tab.[ch]
+
+deb82:
+	sed -e s/PGVER/8.2/g < debian/packages.in > debian/packages
 	yada rebuild
 	debuild -uc -us -b
 
-mainteiner-clean: clean
-	rm -f src/scanner.[ch] src/parser.tab.[ch]
+deb83:
+	sed -e s/PGVER/8.3/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
 
+deb84:
+	sed -e s/PGVER/8.4/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+
+deb90:
+	sed -e s/PGVER/9.0/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 ASCIIDOC = asciidoc
 
-HTML = config.html syntax.html todo.html tutorial.html
+HTML = config.html syntax.html todo.html tutorial.html faq.html
 
 all:

=== debian/changelog ===
postgresql-plproxy (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update policy version 3.9.1.
  * Changed source format to 3.0 (quilt)
  * Added provisions for building with mismatching libpq-dev and 
    postgresql-server-dev installed.
  * Changed section to database
  * Fixed copyright file to match reality

 -- Peter Eisentraut <petere@debian.org>  Thu, 05 Aug 2010 21:49:06 +0300

postgresql-plproxy (2.0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - support PostrgeSQL 8.4, changing build-depends, depends and binary package
      name; Closes: #536973, #559596
  * debian/install
    - install into 8.4 directory

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Feb 2010 13:51:21 +0100

postgresql-plproxy (2.0.8-1) unstable; urgency=low

  * New Upstream Release
  * Added README.source

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Thu, 05 Mar 2009 16:54:09 -0300

postgresql-plproxy (2.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Fri, 09 Jan 2009 15:51:48 -0200

postgresql-plproxy (2.0.5-2) unstable; urgency=low

  * Fix directory /usr/share/postgresql-8.2-plproxy to 8.3. 
  * Update to debhelper 7.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 08 Jul 2008 11:22:55 -0300

postgresql-plproxy (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Update policy version to 3.8.0.
  * Added Vcs-* control fields.
  * Added Homepage control field.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Mon, 09 Jun 2008 13:47:37 -0300

postgresql-plproxy (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 05 Feb 2008 12:09:02 -0200

postgresql-plproxy (2.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #427293)

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 05 Jun 2007 23:19:56 -0300

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Fernando Ike de Oliveira <fike@midstorm.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), postgresql-server-dev-8.4, flex, bison
Standards-Version: 3.9.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/plproxy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/plproxy/

Package: postgresql-8.4-plproxy
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Description: PL/Proxy is a proxy language used for remote database
 PL/Proxy is a proxy language used for remote database procedure calls
 and data partitioning between databases based on hashing field values.
 .
 It's will be to create with same signature as remote function to be
 called, so only destination info needs to be specify inside proxy
 function body.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := $(shell dh_listpackages)
PGVERSION = $(patsubst postgresql-%-plproxy,%,$(PACKAGE))

PG_CONFIG = /usr/lib/postgresql/$(PGVERSION)/bin/pg_config
# Server include must come before client include, because there could
# be mismatching libpq-dev and postgresql-server-dev installed.
PG_INC := -I$(shell $(PG_CONFIG) --includedir-server) -I$(shell $(PG_CONFIG) --includedir)


build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PG_CONFIG=$(PG_CONFIG) PG_CPPFLAGS='$(PG_INC)'
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	$(MAKE) distclean PG_CONFIG=$(PG_CONFIG)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install PG_CONFIG=$(PG_CONFIG) DESTDIR=$(CURDIR)/debian/postgresql-$(PGVERSION)-plproxy
	rm -rf debian/postgresql-$(PGVERSION)-plproxy/usr/share/postgresql


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs -a NEWS AUTHORS
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


binary: binary-arch binary-indep


.PHONY: build clean binary-indep binary-arch binary

## postgresql-plproxy 2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.1
+PLPROXY_VERSION = 2.2
+
+# set to 1 to disallow functions containing SELECT
+NO_SELECT = 0
 
 # libpq config
 PG_CONFIG = pg_config
@@ -18,7 +21,7 @@
 OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
 DATA_built = plproxy.sql
 EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] plproxy.sql.in
-PG_CPPFLAGS = -I$(PQINC)
+PG_CPPFLAGS = -I$(PQINC) -DNO_SELECT=$(NO_SELECT)
 SHLIB_LINK = -L$(PQLIB) -lpq
 
 TARNAME = plproxy-$(PLPROXY_VERSION)
@@ -34,7 +37,7 @@
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
 	  plproxy_errors plproxy_clustermap plproxy_dynamic_record \
-	  plproxy_encoding plproxy_split
+	  plproxy_encoding plproxy_split plproxy_target
 
 # SQL files
 PLPROXY_SQL = plproxy_lang.sql
@@ -56,8 +59,8 @@
 endif
 
 # PGXS may define them as empty
-FLEX := $(or $(FLEX), flex)
-BISON := $(or $(BISON), bison)
+FLEX := $(if $(FLEX),$(FLEX),flex)
+BISON := $(if $(BISON),$(BISON),bison)
 
 # parser rules
 src/scanner.o: src/parser.tab.h

=== debian/changelog ===
postgresql-plproxy (2.2-2) unstable; urgency=low

  * Building the documentation needs asciidoc.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2011 18:05:27 +0200

postgresql-plproxy (2.2-1) unstable; urgency=low

  * New upstream release.
  * Fix Vcs-* fields.
  * Support building for multiple PostgreSQL versions (8.4 and 9.0 now).
  * Install documentation.
  * Add myself as Maintainer.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 14:51:55 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
 postgresql-server-dev-8.4, postgresql-server-dev-9.0, postgresql-server-dev-all,
 grep-dctrl, postgresql-client-common
Standards-Version: 3.9.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-plproxy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plproxy/

Package: postgresql-8.4-plproxy
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 8.4
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-9.0-plproxy
Architecture: any
Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.0
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk

build: build-stamp
build-stamp:
	dh_testdir
	+debian/pg_buildext build $(CURDIR) build-%v
	$(MAKE) -C doc html
	touch build-stamp

clean: debian/control
	dh_testdir
	dh_testroot
	+debian/pg_buildext clean $(CURDIR) build-%v
	$(MAKE) -C doc clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	+debian/pg_buildext install $(CURDIR) build-%v postgresql-%v-plproxy

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -a --all NEWS AUTHORS doc/*.html
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary debian/control

## postgresql-plproxy 2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.2
+PLPROXY_VERSION = 2.3
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -29,7 +29,7 @@
 DIST_FILES = Makefile src/plproxy.h src/rowstamp.h src/scanner.l src/parser.y \
 			 $(foreach t,$(REGRESS),sql/$(t).sql expected/$(t).out) \
 			 config/simple.config.sql src/poll_compat.h \
-			 doc/Makefile doc/config.txt doc/overview.txt doc/faq.txt \
+			 doc/Makefile doc/config.txt doc/faq.txt \
 			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
 			 AUTHORS COPYRIGHT README plproxy_lang.sql plproxy_fdw.sql NEWS \
 			 debian/packages.in debian/changelog
@@ -48,7 +48,11 @@
 PLPROXY_SQL += plproxy_fdw.sql
 endif
 
+
 REGRESS_OPTS = --dbname=regression
+
+# pg9.1 ignores --dbname
+override CONTRIB_TESTDB := regression
 
 # load PGXS makefile
 PGXS = $(shell $(PG_CONFIG) --pgxs)
@@ -85,25 +89,32 @@
 tags:
 	cscope -I src -b -f .cscope.out src/*.c
 
-tgz:
+oldtgz:
 	rm -rf $(TARNAME)
 	mkdir -p $(TARNAME)
 	tar c $(DIST_FILES) $(SRCS) | tar xp -C $(TARNAME)
-	tar czf $(TARNAME).tar.gz $(TARNAME)
+	tar czf $(TARNAME).tgz $(TARNAME)
 
-clean: tgzclean
+tgz:
+	git archive -o $(TARNAME).tar.gz --prefix=$(TARNAME)/ HEAD
+
+clean: tgzclean doc-clean
+
+doc-clean:
+	$(MAKE) -C doc clean
 
 tgzclean:
 	rm -rf $(TARNAME) $(TARNAME).tar.gz
 
 test: install
-	make installcheck || { less regression.diffs; exit 1; }
+	$(MAKE) installcheck || { less regression.diffs; exit 1; }
 
 ack:
 	cp results/*.out expected/
 
-mainteiner-clean: clean
+maintainer-clean: clean
 	rm -f src/scanner.[ch] src/parser.tab.[ch]
+	rm -rf debian/control debian/rules debian/packages debian/packages-tmp*
 
 deb82:
 	sed -e s/PGVER/8.2/g < debian/packages.in > debian/packages
@@ -125,3 +136,8 @@
 	yada rebuild
 	debuild -uc -us -b
 
+deb91:
+	sed -e s/PGVER/9.1/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+

=== debian/changelog ===
postgresql-plproxy (2.3-1) unstable; urgency=low

  [ Christoph Berg ]
  * Add 8.2 and 8.3 to supported versions.

  [ Peter Eisentraut ]
  * New upstream release
    - Obsoletes patches/doc

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Nov 2011 21:10:16 +0200

postgresql-plproxy (2.2-3) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.
  * Remove our private pg_buildext copy.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Jun 2011 17:13:08 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 119~)
Standards-Version: 3.9.2
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-plproxy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plproxy/

Package: postgresql-9.1-plproxy
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.1
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk

build build-arch: build-stamp
build-stamp:
	dh_testdir
	+pg_buildext build $(CURDIR) build-%v
	$(MAKE) -C doc html
	touch build-stamp

build-indep:

clean: debian/control
	dh_testdir
	dh_testroot
	+pg_buildext clean $(CURDIR) build-%v
	$(MAKE) -C doc clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plproxy

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -a --all NEWS AUTHORS doc/*.html
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: build build-arch build-indep clean binary binary-indep binary-arch debian/control

## postgresql-plproxy 2.4

=== Makefile ===
EXTENSION  = plproxy

# sync with NEWS, META.json, plproxy.control, debian/changelog
DISTVERSION = 2.4
EXTVERSION = 2.4.0

# set to 1 to disallow functions containing SELECT
NO_SELECT = 0

# libpq config
PG_CONFIG = pg_config
PQINCSERVER = $(shell $(PG_CONFIG) --includedir-server)
PQINC = $(shell $(PG_CONFIG) --includedir)
PQLIB = $(shell $(PG_CONFIG) --libdir)

# module setup
MODULE_big = $(EXTENSION)
SRCS = src/cluster.c src/execute.c src/function.c src/main.c \
       src/query.c src/result.c src/type.c src/poll_compat.c src/aatree.c
OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] libplproxy.* plproxy.so
SHLIB_LINK = -L$(PQLIB) -lpq

HDRS = src/plproxy.h src/rowstamp.h src/aatree.h src/poll_compat.h

# Server include must come before client include, because there could
# be mismatching libpq-dev and postgresql-server-dev installed.
PG_CPPFLAGS = -I$(PQINCSERVER) -I$(PQINC) -DNO_SELECT=$(NO_SELECT)

ifdef VPATH
PG_CPPFLAGS += -I$(VPATH)/src
endif

DISTNAME = $(EXTENSION)-$(DISTVERSION)

# regression testing setup
REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
     plproxy_errors plproxy_clustermap plproxy_dynamic_record \
     plproxy_encoding plproxy_split plproxy_target
REGRESS_OPTS = --dbname=regression --inputdir=test
# pg9.1 ignores --dbname
override CONTRIB_TESTDB := regression

# sql source
PLPROXY_SQL = sql/plproxy_lang.sql
# Generated SQL files
EXTSQL = sql/$(EXTENSION)--$(EXTVERSION).sql
# Fixed SQL
EXTMISC = sql/plproxy--unpackaged--2.3.0.sql

# PostgreSQL version
PGVER = $(shell $(PG_CONFIG) --version | sed 's/PostgreSQL //')
SQLMED = $(shell test "$(PGVER)" "<" "8.4" && echo "false" || echo "true")
PG91 = $(shell test "$(PGVER)" "<" "9.1" && echo "false" || echo "true")

# SQL/MED available, add foreign data wrapper and regression tests
ifeq ($(SQLMED), true)
REGRESS += plproxy_sqlmed
PLPROXY_SQL += sql/plproxy_fdw.sql
endif

# SQL for extensions or plain?
ifeq ($(PG91),true)
DATA_built = $(EXTSQL)
DATA = $(EXTMISC)
EXTRA_CLEAN += sql/plproxy.sql
else
DATA_built = sql/plproxy.sql
EXTRA_CLEAN += $(EXTSQL)
endif


#
# load PGXS makefile
#
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(PORTNAME), win32)
SHLIB_LINK += -lws2_32 -lpgport
endif

# PGXS may define them as empty
FLEX := $(if $(FLEX),$(FLEX),flex)
BISON := $(if $(BISON),$(BISON),bison)

# parser rules
src/scanner.o: src/parser.tab.h
src/parser.tab.h: src/parser.tab.c

src/parser.tab.c: src/parser.y
	@mkdir -p src
	$(BISON) -b src/parser -d $<

src/scanner.c: src/scanner.l
	@mkdir -p src
	$(FLEX) -o$@ $<

sql/plproxy.sql: $(PLPROXY_SQL)
	@mkdir -p sql
	cat $^ > $@

# plain plproxy.sql is not installed, but used in tests
$(EXTSQL): $(PLPROXY_SQL)
	@mkdir -p sql
	echo "create extension plproxy;" > sql/plproxy.sql 
	cat $^ > $@

# dependencies

$(OBJS): $(HDRS)

# utility rules

tags: $(SRCS) $(HDRS)
	ctags $(SRCS) $(HDRS)

tgz:
	git archive --prefix=$(DISTNAME)/ HEAD | gzip -9 > $(DISTNAME).tar.gz

zip:
	git archive -o $(DISTNAME).zip --format zip --prefix=$(DISTNAME)/ HEAD

clean: doc-clean

doc-clean:
	$(MAKE) -C doc clean

test: install
	$(MAKE) installcheck || { filterdiff --format=unified regression.diffs | less; exit 1; }

ack:
	cp results/*.out test/expected/

deb:
	debuild -uc -us -b

orig:
	make -f debian/rules orig

=== debian/changelog ===
postgresql-plproxy (2.4-1) unstable; urgency=low

  * New upstream release.
  * "build" target needs DESTDIR defined too, temporarily put a version of
    pg_buildext in debian/ that does this.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Jun 2012 16:14:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Eisentraut <petere@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
  postgresql-server-dev-all (>= 119~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pgfoundry.org/projects/plproxy/
 Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-plproxy/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plproxy/

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 SRCDIR=$(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
+# sets DESTDIR on build too:
+PG_BUILDEXT=debian/pg_buildext
+
 build build-arch: build-stamp
 build-stamp:
 	dh_testdir
-	+pg_buildext build $(CURDIR) build-%v
+	+$(PG_BUILDEXT) build $(CURDIR) build-%v
 	$(MAKE) -C doc html
 	touch build-stamp
 
@@ -15,16 +18,18 @@
 clean: debian/control
 	dh_testdir
 	dh_testroot
-	+pg_buildext clean $(CURDIR) build-%v
+	+$(PG_BUILDEXT) clean $(CURDIR) build-%v
 	$(MAKE) -C doc clean
 	dh_clean
+	# installed here too, for whatever reason...
+	rm -rf debian/usr
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plproxy
+	+$(PG_BUILDEXT) install $(CURDIR) build-%v postgresql-%v-plproxy
 
 binary-arch: install
 	dh_testdir

## postgresql-plproxy 2.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.4
-EXTVERSION = 2.4.0
+DISTVERSION = 2.5
+EXTVERSION = 2.5.0
+UPGRADE_VERS = 2.3.0 2.4.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -36,7 +37,8 @@
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
      plproxy_errors plproxy_clustermap plproxy_dynamic_record \
-     plproxy_encoding plproxy_split plproxy_target
+     plproxy_encoding plproxy_split plproxy_target plproxy_alter \
+     plproxy_cancel
 REGRESS_OPTS = --dbname=regression --inputdir=test
 # pg9.1 ignores --dbname
 override CONTRIB_TESTDB := regression
@@ -44,18 +46,19 @@
 # sql source
 PLPROXY_SQL = sql/plproxy_lang.sql
 # Generated SQL files
-EXTSQL = sql/$(EXTENSION)--$(EXTVERSION).sql
-# Fixed SQL
-EXTMISC = sql/plproxy--unpackaged--2.3.0.sql
+EXTSQL = sql/$(EXTENSION)--$(EXTVERSION).sql \
+	$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql) \
+	sql/plproxy--unpackaged--$(EXTVERSION).sql
 
 # PostgreSQL version
 PGVER = $(shell $(PG_CONFIG) --version | sed 's/PostgreSQL //')
 SQLMED = $(shell test "$(PGVER)" "<" "8.4" && echo "false" || echo "true")
 PG91 = $(shell test "$(PGVER)" "<" "9.1" && echo "false" || echo "true")
+PG92 = $(shell test "$(PGVER)" "<" "9.2" && echo "false" || echo "true")
 
 # SQL/MED available, add foreign data wrapper and regression tests
 ifeq ($(SQLMED), true)
-REGRESS += plproxy_sqlmed
+REGRESS += plproxy_sqlmed plproxy_table
 PLPROXY_SQL += sql/plproxy_fdw.sql
 endif
 
@@ -69,6 +72,9 @@
 EXTRA_CLEAN += $(EXTSQL)
 endif
 
+ifeq ($(PG92), true)
+REGRESS += plproxy_range
+endif
 
 #
 # load PGXS makefile
@@ -101,10 +107,17 @@
 	cat $^ > $@
 
 # plain plproxy.sql is not installed, but used in tests
-$(EXTSQL): $(PLPROXY_SQL)
+sql/$(EXTENSION)--$(EXTVERSION).sql: $(PLPROXY_SQL)
 	@mkdir -p sql
 	echo "create extension plproxy;" > sql/plproxy.sql 
 	cat $^ > $@
+
+$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql):
+	touch $@
+
+sql/plproxy--unpackaged--$(EXTVERSION).sql: sql/ext_unpackaged.sql
+	@mkdir -p sql
+	cat $< > $@
 
 # dependencies
 
@@ -135,6 +148,9 @@
 deb:
 	debuild -uc -us -b
 
+debclean:
+	$(MAKE) -f debian/rules realclean
+
 orig:
 	make -f debian/rules orig

=== doc/Makefile ===

web = pgf:/home/pgfoundry.org/groups/plproxy/htdocs/

ASCIIDOC = asciidoc

HTML = config.html syntax.html todo.html tutorial.html faq.html

all:

html: $(HTML)

clean:
	rm -f *.html

web: $(HTML)
	rsync -avz $(HTML) $(web)/doc/

%.html: %.txt
	$(ASCIIDOC) -a toc $<

=== debian/changelog ===
postgresql-plproxy (2.5-3git1) trusty; urgency=low

  Upload current Debian packaging git head to fix autopkgtest.

  * debian/tests/installcheck: Temporarily modify test scripts to use CREATE
    EXTENSION instead of sourcing the build tree's plr.psql. We want to test
    the installed package and avoid building.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Nov 2013 06:59:57 +0100

postgresql-plproxy (2.5-3) unstable; urgency=low

  [ Martin Pitt ]
  * Update Vcs-* tags to current git.
  * Add postgresql-server-dev-all test dependency as the test uses
    pg_buildext.
  * debian/tests/installcheck: Create build-$version if it does not exist.

  [ Christoph Berg ]
  * Call rm -rf build-*/ in clean instead of using pg_buildext (doesn't work
    because build-*/doc is missing).

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 22:38:13 +0100

postgresql-plproxy (2.5-2) unstable; urgency=low

  * Add autopkgtest support.
  * Use "all" in debian/pgversions.
  * Makefile: Remove the old vpath patch (now better supported by PostgreSQL),
    and remove the recursion into doc which doesn't work in build-%v/.
  * src/plproxy.h: include libpq-fe.h earlier to un-mess pg_int64 when using
    libpq-dev from 9.3.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2013 13:51:07 +0200

postgresql-plproxy (2.5-1) experimental; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Dec 2012 15:50:35 +0100

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.5
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plproxy.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/postgresql-plproxy.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-plproxy
Architecture: any
Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.3
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 SRCDIR=$(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
-# sets DESTDIR on build too:
-PG_BUILDEXT=debian/pg_buildext
+PG_BUILDEXT=pg_buildext
 
 build build-arch: build-stamp
 build-stamp:
@@ -18,11 +17,11 @@
 clean: debian/control
 	dh_testdir
 	dh_testroot
-	+$(PG_BUILDEXT) clean $(CURDIR) build-%v
+	# pg_buildext clean doesn't work because build-*/doc isn't there
+	#+$(PG_BUILDEXT) clean $(CURDIR) build-%v
+	rm -rf build-*/
 	$(MAKE) -C doc clean
 	dh_clean
-	# installed here too, for whatever reason...
-	rm -rf debian/usr
 
 install: build
 	dh_testdir

=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all
Restrictions: needs-root

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000207 /frs/download.php/[0-9]+/plproxy-([0-9.]+).tar.gz debian uupdate

## postgresql-plproxy 2.6

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.5
-EXTVERSION = 2.5.0
-UPGRADE_VERS = 2.3.0 2.4.0
+DISTVERSION = 2.6
+EXTVERSION = 2.6.0
+UPGRADE_VERS = 2.3.0 2.4.0 2.5.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -98,9 +98,11 @@
 	@mkdir -p src
 	$(BISON) -b src/parser -d $<
 
+src/parser.o: src/scanner.h
+src/scanner.h: src/scanner.c
 src/scanner.c: src/scanner.l
 	@mkdir -p src
-	$(FLEX) -o$@ $<
+	$(FLEX) -o$@ --header-file=$(@:.c=.h) $<
 
 sql/plproxy.sql: $(PLPROXY_SQL)
 	@mkdir -p sql
@@ -112,8 +114,9 @@
 	echo "create extension plproxy;" > sql/plproxy.sql 
 	cat $^ > $@
 
-$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql):
-	touch $@
+$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql): sql/ext_update_validator.sql
+	@mkdir -p sql
+	cat $< >$@
 
 sql/plproxy--unpackaged--$(EXTVERSION).sql: sql/ext_unpackaged.sql
 	@mkdir -p sql
@@ -134,11 +137,6 @@
 zip:
 	git archive -o $(DISTNAME).zip --format zip --prefix=$(DISTNAME)/ HEAD
 
-clean: doc-clean
-
-doc-clean:
-	$(MAKE) -C doc clean
-
 test: install
 	$(MAKE) installcheck || { filterdiff --format=unified regression.diffs | less; exit 1; }
 
@@ -146,6 +144,8 @@
 	cp results/*.out test/expected/
 
 deb:
+	rm -f debian/control
+	make -f debian/rules debian/control
 	debuild -uc -us -b
 
 debclean:

=== debian/changelog ===
postgresql-plproxy (2.6-2) unstable; urgency=medium

  * Reupload with 9.5 support.
  * Run tests on port 5432 using newpid/newnet.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jan 2016 18:54:22 +0100

postgresql-plproxy (2.6-1) unstable; urgency=medium

  * New upstream release.
    + Docs are now markdown (Closes: #795984, thanks to Eduard Sanou for the
      original patch which is now obsolete)
  * Drop all patches :)
  * Update watch file to point at plproxy.github.io.
  * Update rules to dh.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Sep 2015 21:03:05 +0200

postgresql-plproxy (2.5-5) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.4.
  * Compile sql/plproxy.sql for the non-extension builds.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:44:14 +0200

postgresql-plproxy (2.5-4) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/installcheck: Temporarily modify test scripts to use CREATE
    EXTENSION instead of sourcing the build tree's plproxy.sql. We want to
    test the installed package and avoid building.

  [ Christoph Berg ]
  * Use CREATE EXTENSION for 9.1+ only.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Feb 2014 12:14:28 +0100

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.6
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plproxy.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/postgresql-plproxy.git
XS-Testsuite: autopkgtest

Package: postgresql-9.5-plproxy
Architecture: any
Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.5
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v
	mkdir -p results # create dir now so we can remove it when the regression tests were run as root

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf results/*

override_dh_auto_test:

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-plproxy

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -a --all AUTHORS doc/*.md

%:
	dh $@

=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, newpid
Restrictions: allow-stderr needs-root

## postgresql-plproxy 2.7

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.6
-EXTVERSION = 2.6.0
-UPGRADE_VERS = 2.3.0 2.4.0 2.5.0
+DISTVERSION = 2.7
+EXTVERSION = 2.7.0
+UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0

=== debian/changelog ===
postgresql-plproxy (2.7-1ubuntu2) zesty; urgency=medium

  * d/t/control: the newpid package fails to install in LXD
    environments (relies on fs capabilities which are disallowed by the
    kernel in user namespaces), so use unshare instead (LP: #1666566).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 28 Feb 2017 16:28:57 -0800

postgresql-plproxy (2.7-1ubuntu1) zesty; urgency=medium

  * d/t/installcheck fixes:
    - Passing a port to pg_virtualenv even with newnet does not avoid
      port collisions, as pg_virtualenv (via pg_createcluster) is only
      looking at the configured clusters on the filesystem, not what is
      running in the current network namespace. Set an alternative
      PG_CLUSTER_CONF_ROOT instead, and set it before we call
      pg_virtualenv.
    - Set the socket directory for pg_createcluster, as we are using the
      standard port and that can lead to conflicts. This also requires
      making the AUTOPKGTEST_TMP directory world-writeable so the
      postgres user can write socket information there.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 28 Feb 2017 10:19:53 -0800

postgresql-plproxy (2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Dec 2016 18:28:39 +0100

postgresql-plproxy (2.6-3) unstable; urgency=medium

  * Pull patches from upstream for 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 23:03:59 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.8
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plproxy.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/postgresql-plproxy.git
XS-Testsuite: autopkgtest

Package: postgresql-9.6-plproxy
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.6
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, util-linux
Restrictions: allow-stderr needs-root

## postgresql-plproxy 2.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.7
-EXTVERSION = 2.7.0
-UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0
+DISTVERSION = 2.8
+EXTVERSION = 2.8.0
+UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0 2.7.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -52,9 +52,12 @@
 
 # PostgreSQL version
 PGVER = $(shell $(PG_CONFIG) --version | sed 's/PostgreSQL //')
-SQLMED = $(shell test "$(PGVER)" "<" "8.4" && echo "false" || echo "true")
-PG91 = $(shell test "$(PGVER)" "<" "9.1" && echo "false" || echo "true")
-PG92 = $(shell test "$(PGVER)" "<" "9.2" && echo "false" || echo "true")
+PGMAJOR = $(shell echo $(PGVER) | cut -d'.' -f1 | sed -r "s/([0-9]+)([^0-9].*)?/\1/")
+PGMINOR = $(shell echo $(PGVER) | cut -d'.' -f2 | sed -r "s/([0-9]+)([^0-9].*)?/\1/")
+
+SQLMED = $(shell test $(PGMAJOR) -lt 8 -o \( $(PGMAJOR) -eq 8 -a $(PGMINOR) -lt 4 \) && echo "false" || echo "true")
+PG91 = $(shell test $(PGMAJOR) -lt 9 -o \( $(PGMAJOR) -eq 9 -a $(PGMINOR) -lt 1 \) && echo "false" || echo "true")
+PG92 = $(shell test $(PGMAJOR) -lt 9 -o \( $(PGMAJOR) -eq 9 -a $(PGMINOR) -lt 2 \) && echo "false" || echo "true")
 
 # SQL/MED available, add foreign data wrapper and regression tests
 ifeq ($(SQLMED), true)

=== debian/changelog ===
postgresql-plproxy (2.8-1) unstable; urgency=medium

  * New upstream release.
  * Run tests via newnet/localhost so they don't conflict with an existing
    cluster on 5432. (Closes: #856423)

 -- Christoph Berg <myon@debian.org>  Sat, 14 Oct 2017 16:21:59 +0200

postgresql-plproxy (2.7-2) unstable; urgency=medium

  * Team upload.
  * Add patch to support PG 10 in Makefile.
    https://github.com/plproxy/plproxy/pull/27

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 14:58:44 +0200

=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 4.1.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plproxy.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/postgresql-plproxy.git
XS-Testsuite: autopkgtest

Package: postgresql-10-plproxy
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 10
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, newpid
Restrictions: allow-stderr
